package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:52
 */
@Data
public class Education {
    private Integer contentId;//健康教育内容ID
    private String title;//标题
    private String content;//内容
    @DateTimeFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒")
    @JsonFormat(pattern = "yyyy年MM月dd日 HH时mm分ss秒",timezone = "GTM+8")
    private Date publishTime;//发布时间
}
