package com.bwie.service.impl;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.mapper.UserMapper;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:35
 */
@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;
    @Override
    public User userLogin(UserRequest userRequest) {
        return userMapper.userLogin(userRequest);
    }

    @Override
    public Admin adminLogin(UserRequest userRequest) {

        return userMapper.adminLogin(userRequest);
    }
}
