package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 10:02
 */
@Data
public class History {
    private Integer historyId;//过往病史ID
    private Integer userId;//用户ID
    private String diseaseName;//疾病名称
    @DateTimeFormat(pattern = "yyyy年MM月dd日")
    @JsonFormat(pattern = "yyyy年MM月dd日",timezone = "GTM+8")
    private Date onsetTime;//发病时间
    private String treatmentStatus;//治疗情况



}
