package com.bwie.config;

import com.bwie.service.feign.mqFeign;
import feign.Retryer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-11 上午 9:35
 */
@Configuration
public class FeignClient implements mqFeign {
    @Bean
    public Retryer retryer(){
        return new Retryer.Default(5000,30000,3);
    }
}
